package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Supplier_report_lineRepository;
import com.realnet.vpspack.Entity.Supplier_report_line
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






















	import org.springframework.stereotype.Service;

@Service
 public class Supplier_report_lineService {
@Autowired
private Supplier_report_lineRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





















public Supplier_report_line Savedata(Supplier_report_line data) {






















	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Supplier_report_line save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Supplier_report_line> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Supplier_report_line> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Supplier_report_line> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Supplier_report_line getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Supplier_report_line update(Supplier_report_line data,Integer id) {
	Supplier_report_line old = Repository.findById(id).get();
old.setFull_name(data.getFull_name());

old.setSupplier(data.getSupplier());

old.setAgent(data.getAgent());

old.setEntry_date(data.getEntry_date());

old.setApplication_code(data.getApplication_code());

old.setNationality(data.getNationality());

old.setPassport_number(data.getPassport_number());

old.setVisa_entry_type(data.getVisa_entry_type());

old.setVisa_duration(data.getVisa_duration());

old.setVisa_processing_time(data.getVisa_processing_time());

old.setTotal_price(data.getTotal_price());

final Supplier_report_line test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






















 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
